Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript![ Reload ]

I've installed the latest version of Flyme

When I installed the latest version of Flyme , I can not connect to all of my games , becouse they want the latest version of Google play…but i cant intsall it … Why ??

Same problem, after update i can’t log on hangout or play store. I delete account and try to add it again, but play store screen appears "check information… " forever.

Looks like your connection to I've installed the latest version of Flyme was lost, please wait while we try to reconnect.